# Common

This is a collection of commonly used extensions, etc. on my projects.    
To save time, they are all packed to NuGet packages.

| Package                         | Version |
| ------------------------------- | ------- |
| AMWD.Common                     | ![https://nuget.am-wd.de/packages/amwd.common/](https://services.am-wd.de/nuget.php?package=AMWD.Common) |
| AMWD.Common.AspNetCore          | ![https://nuget.am-wd.de/packages/amwd.common.aspnetcore/](https://services.am-wd.de/nuget.php?package=AMWD.Common.AspNetCore) |
| AMWD.Common.EntityFrameworkCore | ![https://nuget.am-wd.de/packages/amwd.common.entityframeworkcore/](https://services.am-wd.de/nuget.php?package=AMWD.Common.EntityFrameworkCore) |
| AMWD.Common.Test                | ![https://nuget.am-wd.de/packages/amwd.common.test/](https://services.am-wd.de/nuget.php?package=AMWD.Common.Test) |
| CI / CD                         | ![https://git.am-wd.de/AM.WD/common/-/pipelines](https://git.am-wd.de/AM.WD/common/badges/main/pipeline.svg?style=flat-square) ![https://git.am-wd.de/AM.WD/common/-/tree/main](https://git.am-wd.de/AM.WD/common/badges/main/coverage.svg?style=flat-square) |

## Documentation

Changelog is available here: [CHANGELOG](CHANGELOG.md)    
Documentation can be found here: [AM.WD Wiki](https://wiki.am-wd.de/libs/common)

## Use in projects

Create a `nuget.config` file in your root project folder (where the `.sln` file is located)
```xml
<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <packageSources>
    <add key="AM.WD" value="https://nuget.am-wd.de/v3/index.json" />
  </packageSources>
</configuration>
```
